OpenJPEG: opj_tcd_tilecomp Struct Reference

OpenJPEG 2.1.2

Data Fields
opj_tcd_tilecomp Struct Reference
TCD - Implementation of a tile coder/decoder

FIXME DOC. More...

`#include <tcd.h>`

## Data Fields
OPJ_INT32 | x0
OPJ_INT32 | y0
OPJ_INT32 | x1
OPJ_INT32 | y1
OPJ_UINT32 | numresolutions
OPJ_UINT32 | minimum_num_resolutions
opj_tcd_resolution_t * | resolutions
OPJ_UINT32 | resolutions_size
OPJ_INT32 * | data
OPJ_BOOL | ownsData
OPJ_UINT32 | data_size_needed
OPJ_UINT32 | data_size
OPJ_INT32 | numpix

## Detailed Description

FIXME DOC.

## Field Documentation

## ◆ data

OPJ_INT32* opj_tcd_tilecomp::data

Referenced by opj_alloc_tile_component_data(), opj_dwt_decode_tile(), opj_dwt_encode_procedure(), opj_j2k_encode(), opj_t1_decode_cblks(), opj_t1_encode_cblks(), opj_tcd_copy_tile_data(), opj_tcd_dc_level_shift_decode(), opj_tcd_dc_level_shift_encode(), opj_tcd_free_tile(), opj_tcd_mct_decode(), opj_tcd_mct_encode(), and opj_tcd_update_tile_data().

## ◆ data_size

OPJ_UINT32 opj_tcd_tilecomp::data_size

Referenced by opj_alloc_tile_component_data(), and opj_tcd_free_tile().

## ◆ data_size_needed

OPJ_UINT32 opj_tcd_tilecomp::data_size_needed

Referenced by opj_alloc_tile_component_data(), opj_tcd_free_tile(), and opj_tcd_init_tile().

## ◆ minimum_num_resolutions

OPJ_UINT32 opj_tcd_tilecomp::minimum_num_resolutions

Referenced by opj_t1_decode_cblks(), opj_t2_decode_packets(), opj_tcd_get_decoded_tile_size(), and opj_tcd_init_tile().

## ◆ numpix

OPJ_INT32 opj_tcd_tilecomp::numpix

Referenced by opj_tcd_rateallocate().

## ◆ numresolutions

OPJ_UINT32 opj_tcd_tilecomp::numresolutions

Referenced by opj_dwt_encode_procedure(), opj_t1_encode_cblks(), opj_tcd_decode_tile(), opj_tcd_encode_tile(), opj_tcd_init_tile(), opj_tcd_makelayer(), opj_tcd_makelayer_fixed(), and opj_tcd_rateallocate().

## ◆ ownsData

OPJ_BOOL opj_tcd_tilecomp::ownsData

Referenced by opj_alloc_tile_component_data(), opj_j2k_encode(), and opj_tcd_free_tile().

## ◆ resolutions

opj_tcd_resolution_t* opj_tcd_tilecomp::resolutions

Referenced by opj_dwt_decode_tile(), opj_dwt_encode_procedure(), opj_j2k_update_image_data(), opj_t1_decode_cblks(), opj_t1_encode_cblks(), opj_t2_encode_packet(), opj_t2_read_packet_data(), opj_t2_read_packet_header(), opj_t2_skip_packet_data(), opj_tcd_dc_level_shift_decode(), opj_tcd_decode_tile(), opj_tcd_encode_tile(), opj_tcd_free_tile(), opj_tcd_get_decoded_tile_size(), opj_tcd_init_tile(), opj_tcd_makelayer(), opj_tcd_makelayer_fixed(), opj_tcd_rateallocate(), and opj_tcd_update_tile_data().

## ◆ resolutions_size

OPJ_UINT32 opj_tcd_tilecomp::resolutions_size

Referenced by opj_tcd_free_tile(), and opj_tcd_init_tile().

## ◆ x0

OPJ_INT32 opj_tcd_tilecomp::x0

Referenced by opj_dwt_decode_tile(), opj_dwt_encode_procedure(), opj_get_tile_dimensions(), opj_t1_decode_cblks(), opj_t1_encode_cblks(), opj_tcd_copy_tile_data(), opj_tcd_dc_level_shift_decode(), opj_tcd_dc_level_shift_encode(), opj_tcd_get_encoded_tile_size(), opj_tcd_init_tile(), opj_tcd_mct_decode(), opj_tcd_mct_encode(), and opj_tcd_update_tile_data().

## ◆ x1

OPJ_INT32 opj_tcd_tilecomp::x1

Referenced by opj_dwt_decode_tile(), opj_dwt_encode_procedure(), opj_get_tile_dimensions(), opj_t1_decode_cblks(), opj_t1_encode_cblks(), opj_tcd_copy_tile_data(), opj_tcd_dc_level_shift_decode(), opj_tcd_dc_level_shift_encode(), opj_tcd_get_encoded_tile_size(), opj_tcd_init_tile(), opj_tcd_mct_decode(), opj_tcd_mct_encode(), and opj_tcd_update_tile_data().

## ◆ y0

OPJ_INT32 opj_tcd_tilecomp::y0

Referenced by opj_get_tile_dimensions(), opj_tcd_copy_tile_data(), opj_tcd_dc_level_shift_encode(), opj_tcd_get_encoded_tile_size(), opj_tcd_init_tile(), opj_tcd_mct_decode(), and opj_tcd_mct_encode().

## ◆ y1

OPJ_INT32 opj_tcd_tilecomp::y1

Referenced by opj_get_tile_dimensions(), opj_tcd_copy_tile_data(), opj_tcd_dc_level_shift_encode(), opj_tcd_get_encoded_tile_size(), opj_tcd_init_tile(), opj_tcd_mct_decode(), and opj_tcd_mct_encode().

The documentation for this struct was generated from the following file:

- tcd.h